pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/mk/scripts Don't exit on error if the *.la file is not...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/9ea22e53d2e2
branches:  trunk
changeset: 480930:9ea22e53d2e2
user:      jlam <jlam%pkgsrc.org@localhost>
date:      Tue Sep 21 17:54:38 2004 +0000

description:
Don't exit on error if the *.la file is not a libtool archive.

diffstat:

 mk/scripts/print-la-libnames |  22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

diffs (40 lines):

diff -r cea418a0cc95 -r 9ea22e53d2e2 mk/scripts/print-la-libnames
--- a/mk/scripts/print-la-libnames      Tue Sep 21 17:51:30 2004 +0000
+++ b/mk/scripts/print-la-libnames      Tue Sep 21 17:54:38 2004 +0000
@@ -1,6 +1,6 @@
 # /bin/sh
 #
-# $NetBSD: print-la-libnames,v 1.1 2004/09/10 19:51:51 jlam Exp $
+# $NetBSD: print-la-libnames,v 1.2 2004/09/21 17:54:38 jlam Exp $
 #
 # Copyright (c) 2004 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -56,18 +56,18 @@
        *)      lapath="./$la" ;;
        esac
 
-       if [ -r "$lapath" ] && \
-          ${GREP} -q "libtool library file" "$lapath"; then
-               . "$lapath"
-               if [ "$installed" = "no" ]; then
-                       ${ECHO} 1>&2 "$0: \`$lapath' was not properly installed"
-                       exit 1
+       if [ -r "$lapath" ]; then
+               if ${GREP} -q "libtool library file" "$lapath"; then
+                       . "$lapath"
+                       if [ "$installed" = "no" ]; then
+                               ${ECHO} 1>&2 "$0: \`$lapath' was not properly installed"
+                               exit 1
+                       fi
+                       for lib in $library_names $old_library; do
+                               ${ECHO} "$dir$lib"
+                       done
                fi
-               for lib in $library_names $old_library; do
-                       ${ECHO} "$dir$lib"
-               done
        else
                ${ECHO} 1>&2 "$0: cannot read libtool archive \`$lapath'"
-               exit 1
        fi
 done | ${SORT} -u



Home | Main Index | Thread Index | Old Index